Bug 208061 - JJ: Randomize playlist with Ctrl+H
Summary: JJ: Randomize playlist with Ctrl+H
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Shortcuts (show other bugs)
Version: 2.4-GIT
Platform: Debian testing Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2009-09-21 11:22 UTC by Andy Kelley
Modified: 2013-10-09 18:55 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.8


Attachments
Added a shortcut button for shuffle with default shortcut as Ctrl + H (1.77 KB, patch)
2013-02-02 15:04 UTC, aitch_nu
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andy Kelley 2009-09-21 11:22:28 UTC
Version:           2.1.1 (using KDE 4.3.1)
OS:                Linux
Installed from:    Debian testing/unstable Packages

In 1.4 we could press Ctrl+H to randomize the current playlist. I want this back.
Comment 1 Kolja 2009-09-21 11:45:21 UTC
playlist randomization will be available in 2.2 with the new playlist sorting.
Comment 2 Simeon 2011-12-20 15:16:42 UTC
This wish has been granted.This report should be removed.
Comment 3 Myriam Schweingruber 2011-12-20 23:58:49 UTC
(In reply to comment #2)
> This wish has been granted.This report should be removed.

So sorry, please disregard this message, there was a misunderstanding with the
Google Code-In student.
Comment 4 Matěj Laitl 2013-01-11 01:15:25 UTC
Shouldn't be hard. Note to implementors: set playlist sorting to Shuffle on Ctrl+H.
Comment 5 aitch_nu 2013-01-28 09:04:26 UTC
I am interested in solving this bug. Someone please guide me and tell me how does amarok handle shortcuts.
Comment 6 aitch_nu 2013-02-02 14:26:01 UTC
Should I clear all sorting levels or just add shuffle level to current sorting levels on pressing Ctrl + H ?
Comment 7 Matěj Laitl 2013-02-02 14:33:32 UTC
(In reply to comment #6)
> Should I clear all sorting levels or just add shuffle level to current
> sorting levels on pressing Ctrl + H ?

I think clearing them first makes more sense.
Comment 8 aitch_nu 2013-02-02 15:04:25 UTC
Created attachment 76869 [details]
Added a shortcut button for shuffle with default shortcut as Ctrl + H

Created a slot shuffleTrack in mainWindow which is triggered on pressing Ctrl + H
Comment 9 Matěj Laitl 2013-02-02 15:07:06 UTC
Comment on attachment 76869 [details]
Added a shortcut button for shuffle with default shortcut as Ctrl + H

Please submit patches to http://reviewboard.kde.org/ instead.
Comment 10 Matěj Laitl 2013-02-10 14:04:20 UTC
Git commit 62ce5195cfe30b78ec3e234f1d1f5dbed7534a4b by Matěj Laitl, on behalf of Harsh Gupta.
Committed on 10/02/2013 at 14:59.
Pushed by laitl into branch 'master'.

Add Ctrl+H shortcut to ranzomize playlist

FEATURES:
 * Added Ctrl+H shortcut to randomize playlist, patch by Harsh Gupta.

@Harsh, I've fixed position of the ChangeLog entry and made one minor
code-style tweak.

CCMAIL: Harsh Gupta <harshinlko@gmail.com>
FIXED-IN: 2.8
REVIEW: 108716

M  +1    -0    ChangeLog
M  +14   -0    src/MainWindow.cpp
M  +1    -0    src/MainWindow.h

http://commits.kde.org/amarok/62ce5195cfe30b78ec3e234f1d1f5dbed7534a4b
Comment 11 Philippe Cloutier 2013-10-09 18:25:30 UTC
Trying to use Ctrl+H (or any shortcut I define) crashes my Amarok 2.8.0 on Debian testing. I reported this in Debian's #725895.
Comment 12 Matěj Laitl 2013-10-09 18:35:36 UTC
(In reply to comment #11)
> Trying to use Ctrl+H (or any shortcut I define) crashes my Amarok 2.8.0 on
> Debian testing. I reported this in Debian's #725895.

This is a known problem on 2.8 that was fixed right away after it was released, unfortunately it was not caught before: bug 323614. You may tell Debian to use this patch: http://commits.kde.org/amarok/2f42e4687d5dd277d0e39f012c49496f6e9631c8
Comment 13 Philippe Cloutier 2013-10-09 18:55:34 UTC
Thank you Matěj. I've tagged Debian's ticket appropriately.